# Class CIM_J2eeJMSEndpointStats
extends CIM_J2eeStatistic

The CIM_J2eeJMSEndpointStats class is a base class that defines the performance statistics that are provided by a JMS message producer or JMS message consumer.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeJMSEndpointStats

## Direct Known Subclasses

CIM_J2eeJMSConsumerStats
CIM_J2eeJMSProducerStats

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | The CIM_J2eeJMSEndpointStats class is a base class that defines the performance statistics that are provided by a JMS message producer or JMS message consumer.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ExpiredMessageCount | uint64 |
Counter | boolean | true
Description | string | The number of messages that expired before delivery.
MappingStrings | string | JSR77.JCP|JSR77.6.27.1.1 getExpiredMessageCount|V1.0
MessageCount | uint64 |
Counter | boolean | true
Description | string | The number of messages sent or received.
MappingStrings | string | JSR77.JCP|JSR77.6.27.1.2 getMessageCount|V1.0
MessageWaitTime | datetime |
Description | string | The time spent by a message before being delivered. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.27.1.3 getMessageWaitTime|V1.0
MessageWaitTimeMaxTime | datetime |
Description | string | The maximum amount of time spent by a message before being delivered since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.2 getMaxTime|V1.0
MessageWaitTimeMinTime | datetime |
Description | string | The minimum amount of time spent by a message before being delivered since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.3 getMinTime|V1.0
MessageWaitTimeTotalTime | datetime |
Description | string | The total amount of time spent by a message before being delivered since the beginning of this measurement. Dividing MessageWaitTimeTotalTime by MessageWaitTime will provide the average time spent using a connection. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.4 getTotalTime|V1.0
PendingMessageCount | uint64 |
Counter | boolean | true
Description | string | The number of pending messages.
MappingStrings | string | JSR77.JCP|JSR77.6.27.1.4 getPendingMessageCount|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData